<div class="d-flex flex-column min-vh-100">
  <app-header></app-header>
  <div class="container mt-5 flex-grow-1">
    <div class="container mt-5">
      <div class="d-flex align-items-center justify-content-between mb-4">
        <h2 class="lead mb-0">Administración de Roles</h2>
        <button class="btn btn-success" (click)="crearRol()">
          <i class="bi bi-plus-circle-fill"></i> Crear nuevo rol
        </button>
      </div>
      <table class="table table-striped">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Nombre del Rol</th>
            <th scope="col">Descripción</th>
            <th scope="col">Acciones</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let role of roles; index as i">
            <th scope="row" class="text-center">{{ role.id }}</th>
            <td>{{ role.nombre }}</td>
            <td>{{ role.descripcion }}</td>
            <td>
              <button class="btn btn-warning me-2" (click)="editRol(role.id)">
                <i class="bi bi-pencil-fill"></i> Editar
              </button>
              <button class="btn btn-danger" (click)="eliminarRol(role.id)">
                <i class="bi bi-trash-fill"></i> Eliminar
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <app-footer></app-footer>
</div>
